Skip to main content

Integer Underflow (Wrap or Wraparound)

CVE-2022-3165

Severity Medium
Score 6.5/10

Summary

An integer underflow issue was found in the QEMU VNC server while processing "ClientCutText" messages in the extended format. A malicious client could use this flaw to make QEMU unresponsive by sending a specially crafted payload message, resulting in a Denial of Service. This vulnerability affects qemu package versions 6.1.0-rc0 through 7.1.0.

  • LOW
  • NETWORK
  • NONE
  • UNCHANGED
  • NONE
  • LOW
  • NONE
  • HIGH

CWE-191 - Integer Underflow (Wrap or Wraparound)

The product subtracts one value from another, such that the result is less than the minimum allowable integer value, which produces a value that is not equal to the correct result.

Advisory Timeline

  • Published